Deployments.ai Docs

Function reference

Every operation function in @deployments-ai/sdk, with its endpoint and CLI command.

@deployments-ai/sdk exports one function per public API operation (470 in total), named after the operation ID. Each function links to its API reference page, which shows the request and response schemas and a complete SDK example.

Besides the operation functions, the package exports client, createClient, validatePlatformBaseUrl, createConfig, Client (type), contractMetadata.

Agent Email

FunctionEndpointCLI
approveAgentEmailDraftPOST /v1/agent-email/drafts/{draftId}/approvedeployments draft approve
cancelAgentEmailDraftPOST /v1/agent-email/drafts/{draftId}/canceldeployments draft cancel
createAgentEmailAttachmentAccessUrlPOST /v1/agent-email/attachments/{attachmentId}/access-urldeployments inbox-attachment access
createAgentEmailBindingPOST /v1/agent-email/inboxes/{inboxId}/bindingsdeployments inbox-binding create
createAgentEmailDomainPOST /v1/agent-email/domainsdeployments inbox-domain create
createAgentEmailDraftPOST /v1/agent-email/inboxes/{inboxId}/draftsdeployments draft create
createAgentEmailInboxPOST /v1/agent-email/inboxesdeployments inbox create
createAgentEmailPlacementPOST /v1/agent-email/placementsdeployments email-placement create
createAgentEmailRawAccessUrlPOST /v1/agent-email/messages/{messageId}/raw/accessdeployments inbox-message raw-access
createAgentEmailSuppressionPOST /v1/agent-email/suppressionsdeployments email-suppression create
deleteAgentEmailBindingDELETE /v1/agent-email/bindings/{bindingId}deployments inbox-binding delete
exportAgentEmailUsagePOST /v1/agent-email/usage/exportdeployments email-usage export
forwardAgentEmailMessagePOST /v1/agent-email/messages/{messageId}/forwarddeployments inbox-message forward
getAgentEmailBindingGET /v1/agent-email/bindings/{bindingId}deployments inbox-binding show
getAgentEmailDomainGET /v1/agent-email/domains/{domainId}deployments inbox-domain show
getAgentEmailDraftGET /v1/agent-email/drafts/{draftId}deployments draft show
getAgentEmailInboxGET /v1/agent-email/inboxes/{inboxId}deployments inbox show
getAgentEmailMessageGET /v1/agent-email/messages/{messageId}deployments inbox-message show
getAgentEmailPlacementGET /v1/agent-email/placements/{placementId}deployments email-placement show
getAgentEmailPolicyGET /v1/agent-email/policydeployments email-policy show
getAgentEmailThreadGET /v1/agent-email/inboxes/{inboxId}/threads/{threadId}deployments inbox-thread show
getAgentEmailUsageGET /v1/agent-email/usagedeployments email-usage show
listAgentEmailBindingsGET /v1/agent-email/inboxes/{inboxId}/bindingsdeployments inbox-binding list
listAgentEmailDomainsGET /v1/agent-email/domainsdeployments inbox-domain list
listAgentEmailDraftsGET /v1/agent-email/inboxes/{inboxId}/draftsdeployments inbox drafts
listAgentEmailInboxesGET /v1/agent-email/inboxesdeployments inbox list
listAgentEmailMessagesGET /v1/agent-email/inboxes/{inboxId}/messagesdeployments inbox messages
listAgentEmailPlacementsGET /v1/agent-email/placementsdeployments email-placement list
listAgentEmailSuppressionsGET /v1/agent-email/suppressionsdeployments email-suppression list
listAgentEmailThreadsGET /v1/agent-email/inboxes/{inboxId}/threadsdeployments inbox threads
refreshAgentEmailDomainPOST /v1/agent-email/domains/{domainId}/refreshdeployments inbox-domain refresh
rejectAgentEmailDraftPOST /v1/agent-email/drafts/{draftId}/rejectdeployments draft reject
removeAgentEmailSuppressionPOST /v1/agent-email/suppressions/{suppressionId}/removedeployments email-suppression remove
replyAllToAgentEmailMessagePOST /v1/agent-email/messages/{messageId}/reply-alldeployments inbox-message reply-all
replyToAgentEmailMessagePOST /v1/agent-email/messages/{messageId}/replydeployments inbox-message reply
reprocessAgentEmailMessagePOST /v1/agent-email/messages/{messageId}/raw/reprocessdeployments inbox-message reprocess
revokeAgentEmailDomainPOST /v1/agent-email/domains/{domainId}/revokedeployments inbox-domain revoke
searchAgentEmailMessagesPOST /v1/agent-email/inboxes/{inboxId}/messages/searchdeployments inbox search
searchAgentEmailThreadsPOST /v1/agent-email/inboxes/{inboxId}/threads/searchdeployments inbox-thread search
sendAgentEmailDraftPOST /v1/agent-email/drafts/{draftId}/senddeployments draft send
sendAgentEmailMessagePOST /v1/agent-email/inboxes/{inboxId}/messagesdeployments inbox send
submitAgentEmailDraftPOST /v1/agent-email/drafts/{draftId}/submitdeployments draft submit
updateAgentEmailDraftPATCH /v1/agent-email/drafts/{draftId}deployments draft update
updateAgentEmailInboxPATCH /v1/agent-email/inboxes/{inboxId}deployments inbox update
updateAgentEmailPlacementPATCH /v1/agent-email/placements/{placementId}deployments email-placement update
updateAgentEmailPolicyPATCH /v1/agent-email/policydeployments email-policy update

Agents

FunctionEndpointCLI
abortAgentDeploymentCanaryPOST /v1/agent-deployments/{id}/canary/abortdeployments deployment canary-abort
archiveAgentDefinitionDELETE /v1/agent-definitions/{id}deployments agent archive
archiveAgentReleaseDELETE /v1/agent-releases/{id}deployments release archive
createAgentDefinitionPOST /v1/agent-definitionsdeployments agent create
createAgentDeploymentPOST /v1/agent-deploymentsdeployments agent deploy
deployments deployment create
getAgentDefinitionGET /v1/agent-definitions/{id}deployments agent show
getAgentDeploymentGET /v1/agent-deployments/{id}deployments deployment show
getAgentReleaseGET /v1/agent-releases/{id}deployments release show
listAgentDefinitionsGET /v1/agent-definitionsdeployments agent list
listAgentDeploymentsGET /v1/agent-deploymentsdeployments deployment list
listAgentReleasesGET /v1/agent-definitions/{id}/releasesdeployments release list
promoteAgentDeploymentCanaryPOST /v1/agent-deployments/{id}/canary/promotedeployments deployment canary-promote
promoteAgentReleasePOST /v1/agent-releases/{id}/promotedeployments release promote
publishAgentReleasePOST /v1/agent-definitions/{id}/releasesdeployments agent release
startAgentDeploymentCanaryPOST /v1/agent-deployments/{id}/canarydeployments deployment canary-start
stopAgentDeploymentDELETE /v1/agent-deployments/{id}deployments deployment stop
updateAgentDefinitionPATCH /v1/agent-definitions/{id}deployments agent update
updateAgentDeploymentPATCH /v1/agent-deployments/{id}deployments deployment pause
deployments deployment resume
deployments deployment update
deployments deployment rollback

Alerts

Apps

FunctionEndpointCLI
archiveAppPOST /v1/apps/{appId}/archivedeployments app archive
attachAppDomainPOST /v1/apps/{appId}/domainsdeployments app-domain attach
detachAppDomainDELETE /v1/apps/{appId}/domains/{domainId}deployments app-domain detach
eraseAppDELETE /v1/apps/{appId}deployments app erase
getAppGET /v1/apps/{appId}deployments app show
listAppDomainsGET /v1/apps/{appId}/domainsdeployments app-domain list
listAppGrantsGET /v1/apps/{appId}/grantsdeployments app-grant list
listAppReleasesGET /v1/apps/{appId}/releasesdeployments app-release list
listAppsGET /v1/appsdeployments app list
promoteAppReleasePOST /v1/apps/{appId}/releases/{releaseId}/promotedeployments app-release promote
putAppGrantPUT /v1/apps/{appId}/grants/{principalId}deployments app-grant set
refreshAppDomainPOST /v1/apps/{appId}/domains/{domainId}/refreshdeployments app-domain refresh
removeAppGrantDELETE /v1/apps/{appId}/grants/{principalId}deployments app-grant remove
setAppPublicationPATCH /v1/apps/{appId}/publicationdeployments app set-publication
updateAppPATCH /v1/apps/{appId}deployments app update

Artifacts

FunctionEndpointCLI
completeArtifactUploadPOST /v1/artifacts/{artifactId}/completedeployments artifact complete
deployments chat
createArtifactAccessUrlPOST /v1/artifacts/{artifactId}/access-urlsdeployments artifact download
createArtifactUploadPOST /v1/artifactsdeployments artifact upload
deployments chat
deleteArtifactDELETE /v1/artifacts/{artifactId}deployments artifact delete
getArtifactGET /v1/artifacts/{artifactId}deployments artifact show
listArtifactsGET /v1/artifactsdeployments artifact list
updateArtifactRetentionPATCH /v1/artifacts/{artifactId}/retentiondeployments artifact retention

Automations

FunctionEndpointCLI
archiveHeartbeatDELETE /v1/heartbeats/{heartbeatId}deployments heartbeat archive
archiveScheduleDELETE /v1/schedules/{scheduleId}deployments schedule archive
createHeartbeatPOST /v1/heartbeatsdeployments heartbeat create
createSchedulePOST /v1/schedulesdeployments schedule create
fireHeartbeatPOST /v1/heartbeats/{heartbeatId}/firedeployments heartbeat fire
fireSchedulePOST /v1/schedules/{scheduleId}/firedeployments schedule fire
getHeartbeatGET /v1/heartbeats/{heartbeatId}deployments heartbeat show
getScheduleGET /v1/schedules/{scheduleId}deployments schedule show
listHeartbeatFiresGET /v1/heartbeats/{heartbeatId}/firesdeployments heartbeat fires
listHeartbeatsGET /v1/heartbeatsdeployments heartbeat list
listScheduleFiresGET /v1/schedules/{scheduleId}/firesdeployments schedule fires
listSchedulesGET /v1/schedulesdeployments schedule list
pauseHeartbeatPOST /v1/heartbeats/{heartbeatId}/pausedeployments heartbeat pause
pauseSchedulePOST /v1/schedules/{scheduleId}/pausedeployments schedule pause
resumeHeartbeatPOST /v1/heartbeats/{heartbeatId}/resumedeployments heartbeat resume
resumeSchedulePOST /v1/schedules/{scheduleId}/resumedeployments schedule resume
updateHeartbeatPATCH /v1/heartbeats/{heartbeatId}deployments heartbeat update
updateSchedulePATCH /v1/schedules/{scheduleId}deployments schedule update

Brains

FunctionEndpointCLI
archiveBrainDELETE /v1/brains/{brainId}deployments brain archive
askBrainsPOST /v1/brains/askdeployments brain ask
captureBrainDocumentPOST /v1/brains/{brainId}/sources/{sourceId}/documentsdeployments brain-document capture
completeBrainUploadPOST /v1/brains/{brainId}/sources/{sourceId}/uploads/{ticketId}/completedeployments brain-upload complete
createBrainPOST /v1/brainsdeployments brain create
createBrainGrantPOST /v1/brains/{brainId}/grantsdeployments brain-grant create
createBrainMountPOST /v1/brains/{brainId}/mountsdeployments brain-mount create
createBrainSourcePOST /v1/brains/{brainId}/sourcesdeployments brain-source create
createBrainUploadTicketPOST /v1/brains/{brainId}/sources/{sourceId}/uploadsdeployments brain-upload create
eraseBrainPOST /v1/brains/{brainId}/erasuresdeployments brain-erasure create
getBrainGET /v1/brains/{brainId}deployments brain show
getBrainDocumentGET /v1/brains/{brainId}/documents/{documentId}deployments brain-document show
getBrainEntityGET /v1/brains/{brainId}/entities/{entityId}deployments brain-entity show
getBrainErasureGET /v1/brains/{brainId}/erasures/{erasureId}deployments brain-erasure show
getBrainUploadTicketGET /v1/brains/{brainId}/sources/{sourceId}/uploads/{ticketId}deployments brain-upload show
listBrainGrantsGET /v1/brains/{brainId}/grantsdeployments brain-grant list
listBrainIndexHealthGET /v1/brains/{brainId}/index-healthdeployments brain index-health
listBrainMountsGET /v1/brains/{brainId}/mountsdeployments brain-mount list
listBrainReviewItemsGET /v1/brains/{brainId}/review-itemsdeployments brain-review list
listBrainsGET /v1/brainsdeployments brain list
listBrainSourcesGET /v1/brains/{brainId}/sourcesdeployments brain-source list
recordBrainFeedbackPOST /v1/brains/query-attempts/{queryAttemptId}/feedbackdeployments brain-feedback create
resolveBrainReviewItemPOST /v1/brains/{brainId}/review-items/{reviewItemId}/resolvedeployments brain-review resolve
revokeBrainGrantDELETE /v1/brains/{brainId}/grants/{grantId}deployments brain-grant revoke
revokeBrainMountDELETE /v1/brains/{brainId}/mounts/{mountId}deployments brain-mount revoke
searchBrainsPOST /v1/brains/searchdeployments brain search
updateBrainPATCH /v1/brains/{brainId}deployments brain update
uploadBrainContentPUT /v1/brains/{brainId}/sources/{sourceId}/uploads/{ticketId}/contentdeployments brain-upload content

Budgets

Email

FunctionEndpointCLI
createEmailDomainPOST /v1/email/tenants/{tenantId}/domainsdeployments email-domain create
createEmailTenantPOST /v1/email/tenantsdeployments email-tenant create
getEmailDomainGET /v1/email/domains/{domainId}deployments email-domain get
getEmailTenantGET /v1/email/tenants/{tenantId}deployments email-tenant get
listEmailDomainsGET /v1/email/tenants/{tenantId}/domainsdeployments email-domain list
listEmailTenantsGET /v1/email/tenantsdeployments email-tenant list
refreshEmailDomainPOST /v1/email/domains/{domainId}/refreshdeployments email-domain refresh
revokeEmailDomainDELETE /v1/email/domains/{domainId}deployments email-domain revoke
sendEmailPOST /v1/email/tenants/{tenantId}/messagesdeployments email send
updateEmailTenantPATCH /v1/email/tenants/{tenantId}deployments email-tenant update

Evaluations

FunctionEndpointCLI
addDatasetCasePOST /v1/regression-datasets/{datasetId}/casesdeployments eval case add
archiveRegressionDatasetPOST /v1/regression-datasets/{datasetId}/archivedeployments eval dataset archive
archiveScoreDefinitionPOST /v1/score-definitions/{scoreDefinitionId}/archivedeployments eval score-definition archive
createEvaluationRunPOST /v1/evaluation-runsdeployments eval run create
createRegressionDatasetPOST /v1/regression-datasetsdeployments eval dataset create
createReleaseComparisonPOST /v1/release-comparisonsdeployments eval comparison create
createScoreDefinitionPOST /v1/score-definitionsdeployments eval score-definition create
createTraceAnnotationPOST /v1/traces/{traceId}/annotationsdeployments eval annotation create
getEvaluationRunGET /v1/evaluation-runs/{evaluationRunId}deployments eval run show
getRegressionDatasetGET /v1/regression-datasets/{datasetId}deployments eval dataset show
getReleaseComparisonGET /v1/release-comparisons/{releaseComparisonId}deployments eval comparison show
getScoreDefinitionGET /v1/score-definitions/{scoreDefinitionId}deployments eval score-definition show
importDatasetCasesPOST /v1/regression-datasets/{datasetId}/cases/importdeployments eval case import
listDatasetCasesGET /v1/regression-datasets/{datasetId}/casesdeployments eval case list
listEvaluationRunResultsGET /v1/evaluation-runs/{evaluationRunId}/resultsdeployments eval run results
listEvaluationRunsGET /v1/evaluation-runsdeployments eval run list
listRegressionDatasetsGET /v1/regression-datasetsdeployments eval dataset list
listReleaseComparisonsGET /v1/release-comparisonsdeployments eval comparison list
listScoreDefinitionsGET /v1/score-definitionsdeployments eval score-definition list
listScoreResultsGET /v1/score-resultsdeployments eval score list
listTraceAnnotationsGET /v1/traces/{traceId}/annotationsdeployments eval annotation list
listTraceScoreResultsGET /v1/traces/{traceId}/score-resultsdeployments eval score trace
recordTraceScoreResultPOST /v1/traces/{traceId}/score-resultsdeployments eval score record
reviseScoreDefinitionPOST /v1/score-definitions/{scoreDefinitionId}/revisionsdeployments eval score-definition revise

Extensions

Governance

FunctionEndpointCLI
createImmutableAuditExportPOST /v1/organizations/{id}/audit-exportsdeployments governance audit-export
createTenantDataExportPOST /v1/organizations/{id}/data-exportsdeployments governance tenant-export
createTenantErasurePOST /v1/organizations/{id}/erasuresdeployments governance erase
getImmutableAuditExportGET /v1/organizations/{id}/audit-exports/{operationId}deployments governance audit-export-status
getOrganizationEgressAllowlistGET /v1/organizations/{id}/egress-allowlistdeployments egress-allowlist get
getOrganizationRetentionPolicyGET /v1/organizations/{id}/retention-policydeployments governance retention-show
getTenantDataExportGET /v1/organizations/{id}/data-exports/{operationId}deployments governance tenant-export-status
getTenantErasureGET /v1/organizations/{id}/erasures/{operationId}deployments governance erasure-status
listGovernanceOperationsGET /v1/organizations/{id}/governance-operationsdeployments governance operations
replaceOrganizationEgressAllowlistPUT /v1/organizations/{id}/egress-allowlistdeployments egress-allowlist set
updateOrganizationRetentionPolicyPATCH /v1/organizations/{id}/retention-policydeployments governance retention-update

Managed Skills

FunctionEndpointCLI
archiveManagedSkillReleaseDELETE /v1/managed-skill-releases/{id}deployments managed-skill-release archive
archiveManagedSkillSourceDELETE /v1/managed-skill-sources/{id}deployments managed-skill-source archive
createManagedSkillSourcePOST /v1/managed-skill-sourcesdeployments managed-skill-source create
getManagedSkillGET /v1/managed-skills/{id}deployments managed-skill show
getManagedSkillInstallationGET /v1/managed-skill-installations/{id}deployments managed-skill-installation show
getManagedSkillReleaseGET /v1/managed-skill-releases/{id}deployments managed-skill-release show
getManagedSkillSourceGET /v1/managed-skill-sources/{id}deployments managed-skill-source show
installManagedSkillPOST /v1/managed-skill-installationsdeployments managed-skill-installation install
listManagedSkillInstallationsGET /v1/managed-skill-installationsdeployments managed-skill-installation list
listManagedSkillReleasesGET /v1/managed-skill-sources/{id}/releasesdeployments managed-skill-release list
listManagedSkillsGET /v1/managed-skill-releases/{id}/skillsdeployments managed-skill-release skills
listManagedSkillSourcesGET /v1/managed-skill-sourcesdeployments managed-skill-source list
publishManagedSkillReleasePOST /v1/managed-skill-sources/{id}/releasesdeployments managed-skill-release publish
removeManagedSkillInstallationDELETE /v1/managed-skill-installations/{id}deployments managed-skill-installation remove
updateManagedSkillSourcePATCH /v1/managed-skill-sources/{id}deployments managed-skill-source update

Memory

FunctionEndpointCLI
activeMemoryRecallPOST /v1/memory/active-recalldeployments memory active-recall
archiveMemoryPOST /v1/memory/{memoryId}/archivedeployments memory archive
archiveMemorySpaceDELETE /v1/memory-spaces/{memorySpaceId}deployments memory-space archive
createMemoryPolicyPOST /v1/memory/policiesdeployments memory-policy create
createMemorySpacePOST /v1/memory-spacesdeployments memory-space create
createMemorySpaceGrantPOST /v1/memory-space-grantsdeployments memory-space-grant create
deleteMemoryPOST /v1/memory/{memoryId}/deletedeployments memory delete
enqueueMemoryFlushPOST /v1/memory/flushesdeployments memory flush
exportMemoriesPOST /v1/memory/exportsdeployments memory export
getMemoryFlushGET /v1/memory/flushes/{runId}deployments memory flush-status
getMemoryNamespaceReadinessGET /v1/memory/namespaces/readinessdeployments memory namespace-readiness
getMemoryQualityGET /v1/memory/qualitydeployments memory quality
getMemorySpaceGET /v1/memory-spaces/{memorySpaceId}deployments memory-space show
importMemoriesPOST /v1/memory/importsdeployments memory import
listMemoriesGET /v1/memorydeployments memory list
listMemoryPoliciesGET /v1/memory/policiesdeployments memory-policy list
listMemoryReviewItemsGET /v1/memory/review-itemsdeployments memory-review list
listMemorySpaceGrantsGET /v1/memory-space-grantsdeployments memory-space-grant list
listMemorySpacesGET /v1/memory-spacesdeployments memory-space list
prepareMemoryNamespaceFullTextPOST /v1/memory/namespaces/prepare-full-textdeployments memory namespace-prepare
recordMemoryRetrievalFeedbackPOST /v1/memory/{memoryId}/retrievals/{retrievalId}/feedbackdeployments memory-retrieval feedback
resolveMemoryReviewPOST /v1/memory/{memoryId}/review-items/{reviewId}deployments memory-review resolve
restoreMemoryPOST /v1/memory/{memoryId}/restoredeployments memory restore
revokeMemorySpaceGrantDELETE /v1/memory-space-grants/{grantId}deployments memory-space-grant revoke
searchMemoriesPOST /v1/memory/searchdeployments memory search
strategySearchMemoriesPOST /v1/memory/evidence/strategy-searchdeployments memory strategy-search
updateMemorySpaceGrantPATCH /v1/memory-space-grants/{grantId}deployments memory-space-grant update
upsertMemoryPolicyPUT /v1/memory/policiesdeployments memory-policy upsert

Models

FunctionEndpointCLI
archiveModelPolicyDELETE /v1/model-policies/{id}deployments model-policy archive
createModelPolicyPOST /v1/model-policiesdeployments model-policy create
deleteModelCredentialDELETE /v1/organizations/{id}/model-credentials/{provider}deployments model-credential remove
getModelCredentialGET /v1/organizations/{id}/model-credentials/{provider}deployments model-credential show
getModelPolicyGET /v1/model-policies/{id}deployments model-policy show
listModelCredentialsGET /v1/organizations/{id}/model-credentialsdeployments model-credential list
listModelPoliciesGET /v1/model-policiesdeployments model-policy list
listModelsGET /v1/modelsdeployments model list
putModelCredentialPUT /v1/organizations/{id}/model-credentials/{provider}deployments model-credential set
updateModelPolicyPATCH /v1/model-policies/{id}deployments model-policy update

Observability

FunctionEndpointCLI
createObservabilityExportPOST /v1/observability/exportsdeployments observability export
getObservabilityMetricsGET /v1/observability/metricsdeployments observability metrics
getObservabilityRunTraceGET /v1/observability/runs/{runId}/tracedeployments trace for-run
getObservabilityToolMetricsGET /v1/observability/toolsdeployments observability tools
getObservabilityTraceGET /v1/observability/traces/{traceId}deployments trace show
listObservabilitySessionTracesGET /v1/observability/sessions/{sessionId}/tracesdeployments trace session
listObservabilityTracesGET /v1/observability/tracesdeployments trace list
listObservabilityTraceSpansGET /v1/observability/traces/{traceId}/spansdeployments trace spans

Operations

Providers

FunctionEndpointCLI
archiveProviderApplicationDELETE /v1/oauth-apps/{id}deployments oauth-app archive
beginProviderAuthorizationPOST /v1/connectionsdeployments connection authorize
createConnectionGrantPOST /v1/connection-grantsdeployments grant create
createProviderApplicationPOST /v1/oauth-appsdeployments oauth-app register
createProviderCredentialPOST /v1/credentialsdeployments credential create
getConnectionGrantGET /v1/connection-grants/{id}deployments grant show
getConnectionVerificationGET /v1/connection-verifications/{id}deployments verification show
getProviderGET /v1/providers/{providerKey}deployments provider show
getProviderApplicationGET /v1/oauth-apps/{id}deployments oauth-app show
getProviderConnectionGET /v1/connections/{id}deployments connection show
listConnectionCapabilitiesGET /v1/connections/{id}/capabilitiesdeployments capability list
listConnectionGrantsGET /v1/connection-grantsdeployments grant list
listProviderApplicationsGET /v1/oauth-appsdeployments oauth-app list
listProviderConnectionsGET /v1/connectionsdeployments connection list
listProviderCredentialsGET /v1/credentialsdeployments credential list
listProvidersGET /v1/providersdeployments provider list
requestConnectionVerificationPOST /v1/connections/{id}/verifydeployments connection verify
revokeConnectionGrantDELETE /v1/connection-grants/{id}deployments grant revoke
revokeProviderConnectionDELETE /v1/connections/{id}deployments connection revoke
revokeProviderCredentialDELETE /v1/credentials/{id}deployments credential revoke
rotateProviderApplicationSecretPOST /v1/oauth-apps/{id}/rotatedeployments oauth-app rotate
rotateProviderCredentialPOST /v1/credentials/{id}/rotatedeployments credential rotate
syncConnectionToolsPOST /v1/connections/{connectionId}/tools/syncdeployments connection tools-sync

Runtime

FunctionEndpointCLI
archiveThreadPOST /v1/threads/{threadId}/archivedeployments thread archive
archiveWebhookPOST /v1/webhooks/{webhookId}/archivedeployments webhook archive
cancelRunPOST /v1/runs/{runId}/canceldeployments run cancel
composeChannelDeliveryPOST /v1/channel-bindings/{bindingId}/deliveriesdeployments channel-binding deliver
createChannelBindingPOST /v1/channel-bindingsdeployments channel-binding create
createPreviewPOST /v1/previewsdeployments preview create
createThreadPOST /v1/threadsdeployments thread create
deployments chat
createThreadStreamSessionPOST /v1/threads/{threadId}/stream-sessionsdeployments thread session
createWebhookPOST /v1/webhooksdeployments webhook create
deleteChannelBindingDELETE /v1/channel-bindings/{bindingId}deployments channel-binding archive
deleteChannelBindingCredentialDELETE /v1/channel-bindings/{bindingId}/credentialdeployments channel-binding revoke-credential
deletePreviewDELETE /v1/previews/{previewId}deployments preview delete
disableWebhookPOST /v1/webhooks/{webhookId}/disabledeployments webhook disable
enableWebhookPOST /v1/webhooks/{webhookId}/enabledeployments webhook enable
eraseEndUserPOST /v1/end-users/erasuresdeployments end-user erase
eraseThreadPOST /v1/threads/{threadId}/erasuresdeployments thread erase
getApprovalGET /v1/runs/{runId}/approvals/{approvalId}deployments approval show
getCallbackDispatchEvidenceGET /v1/callback-dispatch-evidence/{evidenceId}deployments callback-evidence show
getChannelBindingGET /v1/channel-bindings/{bindingId}deployments channel-binding show
getChannelDeliveryGET /v1/runs/{runId}/channel-deliveries/{deliveryId}deployments channel-delivery show
getEndUserErasureGET /v1/end-users/erasures/{erasureId}deployments end-user erasure-status
getPreviewGET /v1/previews/{previewId}deployments preview show
getRunGET /v1/threads/{threadId}/runs/{runId}deployments run show
getRunByIdGET /v1/runs/{runId}deployments run get
getRunMessageGET /v1/threads/{threadId}/runs/{runId}/messagedeployments run message
getThreadGET /v1/threads/{threadId}deployments thread show
getThreadErasureGET /v1/threads/{threadId}/erasures/{erasureId}deployments thread erasure-status
getWebhookGET /v1/webhooks/{webhookId}deployments webhook show
getWebhookDeliveryGET /v1/webhook-deliveries/{deliveryId}deployments webhook-delivery show
listApprovalsGET /v1/approvalsdeployments approval list
listChannelBindingsGET /v1/channel-bindingsdeployments channel-binding list
listChannelDeliveriesGET /v1/channel-deliveriesdeployments channel-delivery list
listRunLogsGET /v1/runs/{runId}/logsdeployments run logs
listRunsGET /v1/runsdeployments run list
listRunToolCallsGET /v1/runs/{runId}/tool-callsdeployments tool-call list
listThreadMessagesGET /v1/threads/{threadId}/messagesdeployments thread messages
deployments message list
listThreadsGET /v1/threadsdeployments thread list
listWebhookDeliveriesGET /v1/webhook-deliveriesdeployments webhook-delivery list
listWebhookDeliveryAttemptsGET /v1/webhook-deliveries/{deliveryId}/attemptsdeployments webhook-delivery attempts
listWebhooksGET /v1/webhooksdeployments webhook list
publishRunMessagePOST /v1/threads/{threadId}/runs/{runId}/message/publicationsdeployments run publish-message
putChannelBindingCredentialPUT /v1/channel-bindings/{bindingId}/credentialdeployments channel-binding set-credential
readThreadStreamGET /v1/threads/{threadId}/streamdeployments run tail
releaseRunMessagePublicationPOST /v1/threads/{threadId}/runs/{runId}/message/publication-releasesdeployments run release-message-publication
replayRunPOST /v1/runs/{runId}/replaydeployments run replay
reserveRunMessagePublicationPOST /v1/threads/{threadId}/runs/{runId}/message/publication-reservationsdeployments run reserve-message-publication
resolveApprovalPOST /v1/runs/{runId}/approvals/{approvalId}/resolvedeployments approval approve
deployments approval reject
resolveToolResultPOST /v1/runs/{runId}/tool-calls/{toolCallId}/resultsdeployments tool-call result
retryRunPOST /v1/runs/{runId}/retrydeployments run retry
retryWebhookDeliveryPOST /v1/webhook-deliveries/{deliveryId}/retrydeployments webhook-delivery retry
rotateWebhookSecretPOST /v1/webhooks/{webhookId}/rotate-secretdeployments webhook rotate-secret
searchRunsPOST /v1/runs/searchdeployments run search
submitAgentRunPOST /v1/agent-deployments/{agentDeploymentId}/runsdeployments run create
deployments chat
submitPreviewTurnPOST /v1/previews/{previewId}/turnsdeployments preview turn
testWebhookPOST /v1/webhooks/{webhookId}/testdeployments webhook test
updateChannelBindingPATCH /v1/channel-bindings/{bindingId}deployments channel-binding update
updateWebhookPATCH /v1/webhooks/{webhookId}deployments webhook update
verifyChannelBindingPOST /v1/channel-bindings/{bindingId}/verifydeployments channel-binding verify

Security

FunctionEndpointCLI
addLoginDomainPOST /v1/login-domainsdeployments login-domain add
createDirectoryTokenPOST /v1/directory/tokensdeployments directory token create
deleteIdentityProviderDELETE /v1/identity-providerdeployments identity-provider delete
deleteIdentityProviderLinkDELETE /v1/identity-provider/links/{id}deployments identity-provider unlink
exchangeDeviceAuthorizationPOST /v1/device-authorizations/tokendeployments auth login
getDirectoryGET /v1/directorydeployments directory show
getIdentityGET /v1/whoamideployments auth login
deployments whoami
getIdentityProviderGET /v1/identity-providerdeployments identity-provider show
listCredentialReferencesGET /v1/credential-referencesdeployments credential-reference list
listIdentityProviderLinksGET /v1/identity-provider/linksdeployments identity-provider links
listLoginDomainsGET /v1/login-domainsdeployments login-domain list
putDirectoryPUT /v1/directorydeployments directory set
putIdentityProviderPUT /v1/identity-providerdeployments identity-provider set
removeLoginDomainDELETE /v1/login-domains/{id}deployments login-domain remove
revokeDeviceAuthorizationPOST /v1/device-authorizations/revokedeployments auth logout
revokeDirectoryTokenDELETE /v1/directory/tokens/{id}deployments directory token revoke
setIdentityProviderStatePUT /v1/identity-provider/statedeployments identity-provider set-state
startDeviceAuthorizationPOST /v1/device-authorizationsdeployments auth login
verifyLoginDomainPOST /v1/login-domains/{id}/verifydeployments login-domain verify

System

FunctionEndpointCLI
clearSystemOrganizationDataBoundaryDELETE /v1/system/organizations/{organizationId}/data-boundarydeployments system clear-data-boundary
clearSystemOrganizationEntitlementsDELETE /v1/system/organizations/{organizationId}/entitlementsdeployments system clear-entitlements
closeSystemOrganizationAccessDELETE /v1/system/organizations/{organizationId}/operator-accessdeployments system access-close
findSystemPrincipalGET /v1/system/principalsdeployments system people find
getHealthGET /healthdeployments health
getSystemComponentsGET /v1/system/componentsdeployments system components
getSystemInstallationGET /v1/system/installationdeployments system installation
getSystemOrganizationAccessGET /v1/system/organizations/{organizationId}/operator-accessdeployments system access-show
getSystemOrganizationSpendGET /v1/system/organizations/{organizationId}/spenddeployments system spend
getSystemOrganizationStandingGET /v1/system/organizations/{organizationId}/standingdeployments system standing
getSystemPrincipalGET /v1/system/principals/{principalId}deployments system people show
listSystemAlarmsGET /v1/system/alarmsdeployments system alarms
listSystemDeploymentsGET /v1/system/deploymentsdeployments system deployments
listSystemModelProvidersGET /v1/system/model-providersdeployments system model-providers
listSystemOperatorAccessGET /v1/system/operator-accessdeployments system access-list
listSystemOrganizationsGET /v1/system/organizationsdeployments system organizations
listSystemOrganizationStandingHistoryGET /v1/system/organizations/{organizationId}/standing/historydeployments system standing-history
listSystemPrincipalSecurityEventsGET /v1/system/principals/{principalId}/security-eventsdeployments system people events
openSystemOrganizationAccessPUT /v1/system/organizations/{organizationId}/operator-accessdeployments system access-open
placeSystemOrganizationHoldPUT /v1/system/organizations/{organizationId}/holds/{holdKey}deployments system hold
releaseSystemOrganizationHoldDELETE /v1/system/organizations/{organizationId}/holds/{holdKey}deployments system release
replaceSystemOrganizationEntitlementsPUT /v1/system/organizations/{organizationId}/entitlementsdeployments system set-entitlements
replaceSystemPrincipalStatusPUT /v1/system/principals/{principalId}/statusdeployments system set-principal-status
resendSystemPrincipalVerificationPOST /v1/system/principals/{principalId}/verification-emaildeployments system people resend-verification
revokeSystemPrincipalSessionsPOST /v1/system/principals/{principalId}/sessions/revokedeployments system people revoke-sessions
setSystemOrganizationDataBoundaryPUT /v1/system/organizations/{organizationId}/data-boundarydeployments system set-data-boundary

Tenancy

FunctionEndpointCLI
acceptOrganizationInvitationPOST /v1/invitations/{id}/acceptdeployments invitation accept
addOrganizationMemberPOST /v1/membersdeployments member add
archiveEnvironmentDELETE /v1/environments/{id}deployments env archive
archiveProjectDELETE /v1/projects/{id}deployments project archive
archiveWorkspaceDELETE /v1/workspaces/{id}deployments workspace archive
createApiCredentialPOST /v1/api-keysdeployments api-key create
createEnvironmentPOST /v1/environmentsdeployments env create
createOrganizationPOST /v1/organizationsdeployments org create
createOrganizationInvitationPOST /v1/invitationsdeployments invitation create
createProjectPOST /v1/projectsdeployments project create
createServiceAccountPOST /v1/service-accountsdeployments service-account create
createWorkspacePOST /v1/workspacesdeployments workspace create
getEnvironmentGET /v1/environments/{id}deployments env show
getOrganizationGET /v1/organizations/{id}deployments org show
getOrganizationLimitsGET /v1/organizations/{id}/limitsdeployments org limits
getOrganizationProjectSpendGET /v1/organizations/{id}/spend/projectsdeployments org project-spend
getOrganizationSpendGET /v1/organizations/{id}/spenddeployments org spend
getOrganizationStandingGET /v1/organizations/{id}/standingdeployments org standing
getProjectGET /v1/projects/{id}deployments project show
getServiceAccountGET /v1/service-accounts/{id}deployments service-account show
getWorkspaceGET /v1/workspaces/{id}deployments workspace show
getWorkspaceSpendGET /v1/workspaces/{id}/spenddeployments workspace spend
listApiCredentialsGET /v1/api-keysdeployments api-key list
listEnvironmentsGET /v1/environmentsdeployments env list
listOrganizationInvitationsGET /v1/invitationsdeployments invitation list
listOrganizationMembersGET /v1/membersdeployments member list
listOrganizationsGET /v1/organizationsdeployments org list
listProjectsGET /v1/projectsdeployments project list
listServiceAccountsGET /v1/service-accountsdeployments service-account list
listWorkspacesGET /v1/workspacesdeployments workspace list
removeOrganizationMemberDELETE /v1/members/{id}deployments member remove
revokeApiCredentialDELETE /v1/api-keys/{id}deployments api-key revoke
revokeOrganizationInvitationDELETE /v1/invitations/{id}deployments invitation revoke
revokeServiceAccountDELETE /v1/service-accounts/{id}deployments service-account revoke
rotateApiCredentialPOST /v1/api-keys/{id}/rotatedeployments api-key rotate
updateEnvironmentPATCH /v1/environments/{id}deployments env update
updateOrganizationPATCH /v1/organizations/{id}deployments org update
updateOrganizationMemberPATCH /v1/members/{id}deployments member update
updateProjectPATCH /v1/projects/{id}deployments project update
updateWorkspacePATCH /v1/workspaces/{id}deployments workspace update

Tools

Workflows

FunctionEndpointCLI
archiveWorkflowDefinitionDELETE /v1/workflow-definitions/{id}deployments workflow archive
archiveWorkflowReleaseDELETE /v1/workflow-releases/{id}deployments workflow-release archive
cancelWorkflowExecutionPOST /v1/workflow-executions/{workflowExecutionId}/canceldeployments workflow-execution cancel
createWorkflowDefinitionPOST /v1/workflow-definitionsdeployments workflow create
getWorkflowApprovalGET /v1/workflow-executions/{workflowExecutionId}/approvals/{workflowApprovalId}deployments workflow-approval show
getWorkflowDefinitionGET /v1/workflow-definitions/{id}deployments workflow show
getWorkflowExecutionGET /v1/workflow-executions/{workflowExecutionId}deployments workflow-execution show
getWorkflowReleaseGET /v1/workflow-releases/{id}deployments workflow-release show
listWorkflowDefinitionsGET /v1/workflow-definitionsdeployments workflow list
listWorkflowExecutionsGET /v1/workflow-executionsdeployments workflow-execution list
listWorkflowReleasesGET /v1/workflow-definitions/{id}/releasesdeployments workflow-release list
listWorkflowStepAttemptsGET /v1/workflow-executions/{workflowExecutionId}/stepsdeployments workflow-execution steps
publishWorkflowReleasePOST /v1/workflow-definitions/{id}/releasesdeployments workflow release
resolveWorkflowApprovalPOST /v1/workflow-executions/{workflowExecutionId}/approvals/{workflowApprovalId}/resolvedeployments workflow-approval approve
deployments workflow-approval reject
startWorkflowExecutionPOST /v1/workflow-releases/{workflowReleaseId}/executionsdeployments workflow-execution start
updateWorkflowDefinitionPATCH /v1/workflow-definitions/{id}deployments workflow update

On this page